%define relc rc2

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		bluedevil
#Epoch:		0
Version:	1.0
Release:	1
License:	GNU/GPLv2
URL:		http://projects.ufocoders.com/projects/bluedevil
Group:		System/Libraries
Summary:	the KDE bluetooth stack
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-v%{version}%{?relc:%{relc}}.tgz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: libX11-devel
BuildRequires: shared-mime-info
BuildRequires: openssl-devel
BuildRequires: phonon-devel
BuildRequires: pulseaudio-libs-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libbluedevil-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
BlueDevil is a set of components, which integrates bluetooth within the KDE SC, for example adding a system preference module (KCM), or allowing to browse the files in a cell phone from you favorite file browser.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -Rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/bluedevil-audio
%{_bindir}/bluedevil-authorize
%{_bindir}/bluedevil-confirmmodechange
%{_bindir}/bluedevil-helper
%{_bindir}/bluedevil-input
%{_bindir}/bluedevil-monolithic
%{_bindir}/bluedevil-requestconfirmation
%{_bindir}/bluedevil-requestpin
%{_bindir}/bluedevil-sendfile
%{_bindir}/bluedevil-wizard
%{_libdir}/kde4/audio.so
%{_libdir}/kde4/input.so
%{_libdir}/kde4/kcm_bluedeviladapters.so
%{_libdir}/kde4/kcm_bluedevildevices.so
%{_libdir}/kde4/kcm_bluedeviltransfer.so
%{_libdir}/kde4/kded_bluedevil.so
%{_libdir}/kde4/kio_bluetooth.so
%{_libdir}/kde4/kio_obexftp.so
%{_libdir}/kde4/sendfile.so
%{_libdir}/libbluedevilaction.so
%{_applications}/kde4/bluedevil-audio.desktop
%{_applications}/kde4/bluedevil-input.desktop
%{_applications}/kde4/bluedevil-monolithic.desktop
%{_applications}/kde4/bluedevil-sendfile.desktop
%{_applications}/kde4/bluedevil-wizard.desktop
%{_datadir}/dbus-1/services/org.kde.BlueDevil.Service.service
%{_datadir}/kde4/apps/bluedevil/bluedevil.notifyrc
%{_datadir}/kde4/apps/bluedevil/pin-code-database.xml
%{_datadir}/kde4/services/bluedeviladapters.desktop
%{_datadir}/kde4/services/bluedevil-audio.desktop
%{_datadir}/kde4/services/bluedevildevices.desktop
%{_datadir}/kde4/services/bluedevil-input.desktop
%{_datadir}/kde4/services/bluedeviltransfer.desktop
%{_datadir}/kde4/services/bluetooth.protocol
%{_datadir}/kde4/services/kded/bluedevil.desktop
%{_datadir}/kde4/services/obexftp.protocol
%{_datadir}/kde4/services/sendfile.desktop
%{_datadir}/kde4/servicetypes/actionplugin.desktop
%{_datadir}/mime/packages/bluedevil-mime.xml

%files devel
%defattr(-,root,root)
%{_includedir}/actionplugin.h

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- initial CCux package release, rc2
